VoIP
All operations require authentication.
List the VoIP billing account services of an xDSL packProduction
List the VoIP billing account services of an xDSL pack. Returns the domains of the VoIP billing accounts linked to the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipBillingAccount/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List the VoIP Ecofax services of an xDSL packProduction
List the VoIP Ecofax services of an xDSL pack. Returns the domains of the VoIP Ecofax services activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipEcofax/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a VoIP Ecofax service in an xDSL packProduction
Create a VoIP Ecofax service in an xDSL pack. Activates the VoIP Ecofax service included in the pack. Returns the task that performs it.
Path parameters
The internal name of your pack
Response
Status of a task.
cancelleddoingdoneerrorproblemtodoExample uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipEcofax/ services \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}
Create a shipping address for a VoIP line orderProduction
Create a shipping address for a VoIP line order. Adds an address from a name, street address, zip code and city, and returns its shipping ID.
Path parameters
The internal name of your pack
Request body (required)
Address, including street name
City name
First name
Last name
Zip code
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipLine/ options/ customShippingAddress \
-H "authorization: Bearer $OVH_TOKEN"0
List the hardware for a VoIP line orderProduction
List the hardware for a VoIP line order. Returns the phones available with a VoIP line of the xDSL pack, with their deposit, fees and shipping need.
Path parameters
The internal name of your pack
Response
Price with it's currency and textual representation
Price with it's currency and textual representation
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipLine/ options/ hardwares \
-H "authorization: Bearer $OVH_TOKEN"[ { "deposit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "image": "string", "label": "string", "max": 0, "name": "string", "needShipping": true, "url": "string" }]
List the shipping addresses for a VoIP line orderProduction
List the shipping addresses for a VoIP line order. Returns the addresses the hardware of a VoIP line of the xDSL pack can be shipped to.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipLine/ options/ shippingAddresses \
-H "authorization: Bearer $OVH_TOKEN"[ { "address": "string", "cityName": "string", "countryCode": "string", "firstName": "string", "lastName": "string", "shippingId": "string", "zipCode": "string" }]
List the VoIP line services of an xDSL packProduction
List the VoIP line services of an xDSL pack. Returns the domains of the VoIP line services activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipLine/ services \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a VoIP line service in an xDSL packProduction
Create a VoIP line service in an xDSL pack. Orders VoIP lines with the given hardware, shipped to a shipping address or a Mondial Relay point. Returns the order.
Path parameters
The internal name of your pack
Request body (required)
List of names from hardwares call
Mondial relay ID
Shipping ID for the order
Response
Whether or not this order need to be payed manually
Example uses packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipLine/ services \
-H "authorization: Bearer $OVH_TOKEN"{ "needPayment": true, "orderId": 0, "orderUrl": "string", "taskIds": [ 0 ]}
Get a VoIP line service of an xDSL packProduction
Get a VoIP line service of an xDSL pack. Returns the domain and the billing account of a VoIP line service activated with the pack.
Path parameters
The internal name of your pack
Response
Example uses domain = string, packName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ pack/ xdsl/ {packName}/ voipLine/ services/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "billingAccount": "string", "domain": "string"}